<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once ('header.php');
echo "<h1>Forum</h1>";
if ($aangemeld == "ja")
{
	if (($member_status == "staff") or ($member_status == "manager"))
	{
			if (ISSET($_GET['action']))
			{
				if ($_GET['action'] == "sluit")
				{
					$ideeke = $_GET['id'];
					mysql_query("UPDATE topics SET geblokt = 'ja' WHERE id='$ideeke';");
					$naam_topic = halen("SELECT titel FROM topics WHERE id='".$ideeke."'");
	    			action("sluit het topic '".$naam_topic."'");
	    			echo "Even geduld a.u.b...";
					echo "<meta http-equiv=\"refresh\" content=\"1;url=topics.php\">";
				}
				elseif ($_GET['action'] == "open")
				{
					$ideeke = $_GET['id'];
					mysql_query("UPDATE topics SET geblokt = '' WHERE id='$ideeke';");	
					$naam_topic = halen("SELECT titel FROM topics WHERE id='".$ideeke."'");
	    			action("opent het topic '".$naam_topic."'");
	    			echo "Even geduld a.u.b...";
					echo "<meta http-equiv=\"refresh\" content=\"1;url=replys.php?id=".$ideeke."\">";
				}
			}
			else
			{
				echo "Er is een fout opgetreden.";
			}
	}
	else
	{
		action("probeert zonder rechten een topic te openen/sluiten");
		echo "Oeps! Hiervoor moet je <b>manager</b> of <b>staff</b> zijn.";	
	}
}
else
{
	echo "Oeps! Hiervoor moet je aangemeld zijn!";
}
require_once ('footer.php');
?>